org.apache.cassandra.utils.progress.jmx

## Class JMXProgressSupport

- java.lang.Object
- - org.apache.cassandra.utils.progress.jmx.JMXProgressSupport

All Implemented Interfaces:
  ProgressListener

    public class JMXProgressSupport
    extends java.lang.Object
    implements ProgressListener

ProgressListener that translates ProgressEvent to JMX Notification message.

### Constructor Summary

Constructors
Constructor and Description
`JMXProgressSupport(javax.management.NotificationBroadcasterSupport broadcaster)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `progress(java.lang.String tag, ProgressEvent event)` Called when some progress is made by progress publisher.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JMXProgressSupport

    public JMXProgressSupport(javax.management.NotificationBroadcasterSupport broadcaster)

### Method Detail

#### progress

    public void progress(java.lang.String tag,
                         ProgressEvent event)

Description copied from interface: `ProgressListener`
Called when some progress is made by progress publisher.

Specified by:
  `progress` in interface `ProgressListener`
Parameters:
  `tag` - String that identifies progress event.
  `event` - Current progress